mobilesync_acknowledge_changes_from_device
mobilesync_actions_add
mobilesync_actions_free
mobilesync_actions_new
mobilesync_anchors_free
mobilesync_anchors_new
mobilesync_anchors_t
mobilesync_cancel
mobilesync_clear_all_records_on_device
mobilesync_client_free
mobilesync_client_new
mobilesync_client_start_service
mobilesync_client_t
mobilesync_error_t
mobilesync_finish
mobilesync_get_all_records_from_device
mobilesync_get_changes_from_device
mobilesync_ready_to_send_changes_from_computer
mobilesync_receive
mobilesync_receive_changes
mobilesync_remap_identifiers
mobilesync_send
mobilesync_send_changes
MOBILESYNC_SERVICE_NAME
mobilesync_start
mobilesync_sync_type_t

## mobilesync_anchors_new()

LIBIMOBILEDEVICE_API mobilesync_anchors_t mobilesync_anchors_new | ( | const char * | device_anchor,
|  | const char * | computer_anchor )

Allocates memory for a new anchors struct initialized with the passed anchors.

Parameters

  device_anchor | An anchor the device reported the last time or NULL if none is known yet which for instance is true on first synchronization.
  computer_anchor | An arbitrary string to use as anchor for the computer.

Returns
  A new mobilesync_anchors_t struct. Must be freed using mobilesync_anchors_free().